#!/bin/sh

#   install.sh - Script to set up musicale
#   Copyright (C) 2000  Robert Wagner

#   This program is free software; you can redistribute it and/or modify
#   under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.

#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.

#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

dirstruct=""

# Playlist Install Script

echo "Installing Musicale..."

echo "Preparing Musicale Config..."

# Save installed directory

if [ -e /etc/musicale.conf ]
then
	echo "	Moving old Musicale Config to /etc/musicale.conf.old"
	mv -f /etc/musicale.conf /etc/musicale.conf.old
fi

set $(pwd)
wk_dir=$1

# Build Musicale Conf

echo "# Musicale conf file" > /etc/musicale.conf
echo >> /etc/musicale.conf
echo "# Installed: directory of musicale files" >> /etc/musicale.conf
echo "# Defaultarg: commandline arguments to be used each use" >> /etc/musicale.conf
echo >> /etc/musicale.conf
echo "# filetype: playerkey extension [...]" >> /etc/musicale.conf
echo "# playerkey: player arguments [...]" >> /etc/musicale.conf
echo >> /etc/musicale.conf
echo "installed: $wk_dir" >> /etc/musicale.conf
echo "defaultarg:" >> /etc/musicale.conf
echo >> /etc/musicale.conf
echo "midi: midiplayer mid MID" >> /etc/musicale.conf
echo "midiplayer: "$wk_dir"/playmidi" >> /etc/musicale.conf
echo >> /etc/musicale.conf
echo "mp3: mpgplayer mp3" >> /etc/musicale.conf
echo "mpgplayer: "$wk_dir"/splay" >> /etc/musicale.conf
echo >> /etc/musicale.conf
echo "wave: waveplayer wav" >> /etc/musicale.conf
echo "waveplayer: play" >> /etc/musicale.conf

echo "Building Links..."

# Read Installed directory into wk_dir
# Prepare the pathname
# And link to /usr/bin
 
wk_dir=$wk_dir"/musicale"
ln -f -s $wk_dir /usr/bin/

echo "Musicale Installation Complete"
echo "Might want to look over /etc/musicale.conf"

